Cycles et versions de publication

Tous les terminaux BlackBerry® incluent une version spécifique de BlackBerry® Device Software et de BlackBerry® Java® Virtual Machine. Pour déterminer la version de BlackBerry Device Software d'un terminal BlackBerry, dans Options du terminal, cliquez sur À propos de. Vous pouvez mettre à niveau BlackBerry Device Software. Par exemple, vous pouvez mettre à niveau un terminal BlackBerry avec BlackBerry Device Software version 4.0 vers BlackBerry Device Software version 4.1.

Avec chaque publication majeure de BlackBerry Device Software et de BlackBerry JVM, Research In Motion inclut les API Java et la version de BlackBerry® Java® Development Environment correspondantes. La version de BlackBerry Device Software détermine la version de BlackBerry® Integrated Development Environment que vous pouvez utiliser pour développer des applications. Par exemple, RIM a publié BlackBerry Device Software version 4.0 et BlackBerry JDE version 4.0 en même temps. BlackBerry JDE version 4.0 inclue la prise en charge des API qui ont été introduites dans BlackBerry Device Software version 4.0 et BlackBerry JVM version 4.0. Les applications que vous créez à l'aide de BlackBerry JDE version 4.0 ne fonctionnent que sur des terminaux BlackBerry exécutant BlackBerry Device Software version 4.0 ou ultérieure.

Vous pouvez utiliser les critères suivants pour décider de la version de BlackBerry JDE à utiliser pour développer une application.

  • Si l'application n'a pas besoin de fonctionnalités matérielles de terminal BlackBerry spécifiques ou d'extensions d'API récemment publiées, utilisez BlackBerry JDE version 4.0 pour développer l'application.
  • Si l'application est conçue pour ne s'exécuter que sur le smartphone BlackBerry® Pearl™ 8100, utilisez BlackBerry JDE version 4.2 ou ultérieure.

Index


Ces informations vous ont-elles été utiles ? Envoyez-nous vos commentaires.